Bug Hunting Session
Bug 85618 - inconsistent "save as" dialog behaviour - permissions and location dependence
Summary: inconsistent "save as" dialog behaviour - permissions and location dependence
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-29 20:21 UTC by gustavo
Modified: 2015-10-14 19:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
FAIL scenario (43.33 KB, image/png)
2014-10-29 21:09 UTC, gustavo
Details
OK scenario (47.91 KB, image/png)
2014-10-29 21:09 UTC, gustavo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gustavo 2014-10-29 20:21:05 UTC
If testfile.odt

1- has permissions 400
2- is located on /tmp

the "save as" dialog will not show the original filename as the candidate name for saving - the user will see a blank space instead.

Since the files opened from thunderbird attachments by double clicking fullfil conditions 1 and 2, we have a usability problem.

Changing the permissions to 440 or moving the original file to another directory makes this behaviour go away.

Summary

chmod 400 /tmp/testfile.odt
/usr/lib/libreoffice/program/oosplash --writer /tmp/testfile.odt - FAIL
chmod 440 /tmp/testfile.odt
/usr/lib/libreoffice/program/oosplash --writer /tmp/testfile.odt - OK
chmod 400 /tmp/testfile.odt
/usr/lib/libreoffice/program/oosplash --writer /tmp/testfile.odt - FAIL
mv /tmp/testfile.odt ~
/usr/lib/libreoffice/program/oosplash --writer ~/testfile.odt - OK
Comment 1 gustavo 2014-10-29 21:09:03 UTC
Created attachment 108648 [details]
FAIL scenario
Comment 2 gustavo 2014-10-29 21:09:24 UTC
Created attachment 108649 [details]
OK scenario
Comment 3 gustavo 2014-10-29 21:11:30 UTC
More info:

As shown in the attachments when the filename appears the default location is the same where the file resides. Otherwise, the user homedir is the location shown.

We are using Ubunt 12.04 with KDE.
Comment 4 Buovjaga 2014-11-15 12:38:51 UTC
(In reply to gustavo from comment #0)
> If testfile.odt
> 
> 1- has permissions 400
> 2- is located on /tmp
> 
> the "save as" dialog will not show the original filename as the candidate
> name for saving - the user will see a blank space instead.

I get the original filename just fine.

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 5 gustavo 2014-11-19 15:42:11 UTC
Additional info:

1:4.2.7~rc2-0ubuntu2~precise1 on 12.04 - FAIL
1:4.2.5~rc2-0ubuntu2~precise1 on 12.04 - WORKS

Both coming from ppa:libreoffice/ppa.

I will update the machine that has the older version to confirm this.
Comment 6 Robinson Tryon (qubit) 2015-02-03 18:46:04 UTC
(In reply to gustavo from comment #5)
> 1:4.2.7~rc2-0ubuntu2~precise1 on 12.04 - FAIL
> 1:4.2.5~rc2-0ubuntu2~precise1 on 12.04 - WORKS

(In reply to Beluga from comment #4)
> I get the original filename just fine.
> 
> Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
> Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
> TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time:
> 2014-11-13_00:14:29

Hi Gustavo,
Sounds like this is fixed in modern builds of LibreOffice. 

Status -> NEEDINFO

Please test with a 4.4 or later build. If it still doesn't work for you, change status to 'UNCONFIRMED'. If it DOES work for you, change status to 'RESOLVED WORKSFORME'. Thanks!
Comment 7 QA Administrators 2015-09-04 02:55:27 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 8 QA Administrators 2015-10-14 19:48:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-10-14